## yum 0.0.1

=== DESCRIPTION ===
Package: yum
Title: Utilities to Extract and Process 'YAML' Fragments
Version: 0.0.1
Authors@R: 
    person(given = "Gjalt-Jorn",
           family = "Peters",
           role = c("aut", "cre"),
           email = "gjalt-jorn@userfriendlyscience.com")
Description: Provides a number of functions to facilitate
  extracting information in 'YAML' fragments from one or 
  multiple files, optionally structuring the information
  in a 'data.tree'. 'YAML' (recursive acronym for "YAML ain't
  Markup Language") is a convention for specifying structured
  data in a format that is both machine- and human-readable.
  'YAML' therefore lends itself well for embedding (meta)data
  in plain text files, such as Markdown files. This principle
  is implemented in 'yum' with minimal dependencies (i.e. only
  the 'yaml' packages, and the 'data.tree' package can be
  used to enable additional functionality).
License: GPL-3
Encoding: UTF-8
URL: https://r-packages.gitlab.io/yum
BugReports: https://gitlab.com/r-packages/yum/issues
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 3.0.0)
Imports: yaml (>= 2.2)
Suggests: covr, data.tree (>= 0.7), here, testthat
NeedsCompilation: no
Packaged: 2019-03-10 12:57:16 UTC; gjalt
Author: Gjalt-Jorn Peters [aut, cre]
Maintainer: Gjalt-Jorn Peters <gjalt-jorn@userfriendlyscience.com>
Repository: CRAN
Date/Publication: 2019-03-13 12:30:03 UTC
