## yum 3.2.21

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 
 .PHONY: docs test
 
-DOCS = yum rpmUtils callback.py progress_meter.py yumcommands.py shell.py \
-	   translate.py output.py i18n.py cli.py yummain.py
+DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
+	   yummain.py
 docs:
 	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS)
 
@@ -46,11 +46,15 @@
 
 test:
 	@nosetests -i ".*test" test
+	@test/check-po-yes-no.py
+
+test-skipbroken:
+	@nosetests -i ".*test" test/skipbroken-tests.py
 
 check: test
 
 changelog:
-	git log --pretty --numstat --summary | git2cl  > ChangeLog
+	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
 
 testnewbehavior:
 	@NEW_BEHAVIOR=1 nosetests -i ".*test" test
