## yum 3.2.23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 SUBDIRS = rpmUtils yum etc docs po
 PYFILES = $(wildcard *.py)
+PYLINT_MODULES =  *.py yum rpmUtils
+PYLINT_IGNORE = oldUtils.py
 
 PKGNAME = yum
 VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
@@ -39,7 +41,7 @@
 DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
 	   yummain.py
 docs:
-	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS)
+	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS) --graph all
 
 doccheck:
 	epydoc --check $(DOCS)
@@ -52,6 +54,12 @@
 	@nosetests -i ".*test" test/skipbroken-tests.py
 
 check: test
+
+pylint:
+	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+
+pylint-short:
+	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
 
 changelog:
 	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
