## yum 3.2.25

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 test:
 	@nosetests -i ".*test" test
 	@test/check-po-yes-no.py
+	cd po; make test
 
 test-skipbroken:
 	@nosetests -i ".*test" test/skipbroken-tests.py
@@ -56,10 +57,10 @@
 check: test
 
 pylint:
-	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
 pylint-short:
-	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
 changelog:
 	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
