=== po/Makefile ===
--- 
+++ 
@@ -69,4 +69,12 @@
 	done
 
 %.mo: %.po
-	msgfmt -o $@ $<
+	msgfmt -o $@ $< -c
+
+
+test:
+	for n in $(CATALOGS); do \
+	msgfmt -c $$n; \
+	done
+
+
