## yum 3.4.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
 CVSTAG=yum-$(subst .,_,$(VERSION)-$(RELEASE))
 PYTHON=python
+WEBHOST = yum.baseurl.org
+WEB_DOC_PATH = /srv/projects/yum/web/download/docs/yum-api/
 
 all: subdirs
 
@@ -32,23 +34,36 @@
 	install -m 755 bin/yum-updatesd.py $(DESTDIR)/usr/sbin/yum-updatesd
 
 	mkdir -p $(DESTDIR)/var/cache/yum
-	mkdir -p $(DESTDIR)/var/lib/yum	
+	mkdir -p $(DESTDIR)/var/lib/yum
 
 	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
 
 .PHONY: docs test
 
-DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
-	   yummain.py
+DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py utils.py\
+	   yummain.py 
+
+# packages needed for docs : yum install epydoc graphviz
 docs:
-	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS) --graph all
+	@rm -rf docs/epydoc/$(VERSION)
+	@mkdir -p docs/epydoc/$(VERSION)
+	@epydoc -o docs/epydoc/$(VERSION) -u http://yum.baseurl.org --name "Yum" --graph all $(DOCS)
+
+upload-docs: docs
+# Upload to yum website
+	@rm -rf yum-apidoc-$(VERSION).tar.gz
+	@dir=$$PWD; cd $$dir/docs/epydoc; tar zcf $$dir/yum-apidoc-$(VERSION).tar.gz $(VERSION)
+	@scp yum-apidoc-$(VERSION).tar.gz $(WEBHOST):$(WEB_DOC_PATH)/.
+	@ssh $(WEBHOST) "cd $(WEB_DOC_PATH); tar zxvf yum-apidoc-$(VERSION).tar.gz; rm yum-apidoc-$(VERSION).tar.gz"
+	@rm -rf yum-apidoc-$(VERSION).tar.gz
+
 
 doccheck:
 	epydoc --check $(DOCS)
 
 test:
 	@nosetests -i ".*test" test
-	@test/check-po-yes-no.py
+	-@test/check-po-yes-no.py
 	cd po; make test
 
 test-skipbroken:
@@ -62,8 +77,9 @@
 pylint-short:
 	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
+ChangeLog: changelog
 changelog:
-	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
+	git log --since=2007-05-16 --pretty --numstat --summary | git2cl | cat > ChangeLog
 
 testnewbehavior:
 	@NEW_BEHAVIOR=1 nosetests -i ".*test" test
@@ -77,9 +93,9 @@
 _archive:
 	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
 	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
-	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
-	lynx -dump 'http://wiki.linux.duke.edu/WritingYumPlugins?action=print' > /tmp/${PKGNAME}/PLUGINS
-	lynx -dump 'http://wiki.linux.duke.edu/YumFaq?action=print' > /tmp/${PKGNAME}/FAQ
+	@dir=$$PWD; cd /tmp; git clone $$dir ${PKGNAME}
+	lynx -dump 'http://yum.baseurl.org/wiki/WritingYumPlugins?format=txt' > /tmp/${PKGNAME}/PLUGINS
+	lynx -dump 'http://yum.baseurl.org/wiki/Faq?format=txt' > /tmp/${PKGNAME}/FAQ
 	@rm -f /tmp/${PKGNAME}/$(remove_spec)
 	@rm -rf /tmp/${PKGNAME}/.git
 	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
