=== debian/changelog ===
yum (3.4.3-3) unstable; urgency=medium

  * Added python-lzma as depends (Closes: #774217).

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Dec 2014 14:36:30 +0000

yum (3.4.3-2) unstable; urgency=low

  * Uploading to unstable.
  * Removed obsolete DM allowed flag.
  * Bumped Standard-Version to 3.9.4.
  * Now using compat and debhelper 9.
  * Ran wrap-and-sort.
  * Canonical VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 05:01:12 +0000

yum (3.4.3-1) experimental; urgency=low

  [ Thomas Goirand ]
  * New upstream version.
  * Added a debian/gbp.conf.
  * Removed all patches, removed dependency to dpatch, bumped compatibility
  to 8 (and dependency to debhelper 8).
  * Do not delete po/yum.pot anymore in debian/rules.
  * Using dh_prep instead of dh_clean -k.
  * Now using source format 3.0 (quilt) (added new debian/source/format file).
  * Now build-depends on python-all (>= 2.6.6-3~), dropped build-dependency on
  python-support, calling dh_python2 in debian/rules.
  * Now using my @debian.org maintainer email in debian/control.
  * Added missing build-target build-arch in debian/rules.
  * Bumped standard-version to 3.9.3.
  * Switched debian/copyright to machine readable format 1.0.
  * Kills debian/yum-updatesd.init (it shouldn't be there).
  * Added Vcs fields.
  * Fixed the watch file.
  * Moves $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages into
  .../dist-packages to be Debian Python policy compliant.
  * Fixes urlparse: AttributeError: 'module' object has no attribute
  'uses_fragment' (Closes: #679067).

  [ Mike Miller ]
  * Add patch to ensure yum uses the correct path for the RPM database.
  * Call dh_python2 correctly to handle python module install directories.
  * Add myself to Uploaders as a co-maintainer.
  * Completely remove all traces of yum-updatesd. (Closes: #579678)
  * Update Vcs-* fields to use collab-maint repository.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jun 2012 15:37:12 +0000

yum (3.2.25-2) unstable; urgency=low

  * Fixes crash at start of yum with error: urlparse: AttributeError:
  * 'module'
  object has no attribute 'uses_fragment' (Closes: #679067).
  * Using zigo@debian.org as maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jun 2012 15:19:14 +0000

yum (3.2.25-1) unstable; urgency=low

  * New upstream version.
  * Not using the yumpackage@gplhost.com, but my "normal" email address again
    as maintainer address, as my employee Manuel is no longer willing to help,
    as he resigned from his position at GPLHost.
  * Removed patches that are no longer needed thanks to my work with upstream:
    - yum.conf.5 has been corrected thanks to a patch I sent to upstream, so
    a patch in Debian is no longer needed, same for the yum.8 man page.
    - python-iniparse has been uploaded to SID, so a patch to not use it is as
    well not needed anymore.
    - python-gpgme is now in SID.
    - The version of logrotate in SID now supports yearly rotating, so a
    patch is no longer needed as well.
    All together, the number of patches needed for Yum is reduced to only 1,
    making it A WAY more easy to maintain.
  * Changed dependency from just python-celementtree to python (>= 2.5) |
    python-celementtree as python-celementtree is now part of python2.5, and
    that python2.4 is to be removed from SID (Closes: #562455).
  * Bumped Standards-Version.
  * Reworked a bit the debian/copyright so it's more accurate.
  * Reworked the debian/README.Debian, wrote a debian/source.
  * Switched from Required to Should in the debian/yum-updatesd.init, added
    a $local_fs as Should also, and did some tiny cleanups in debian/rules.

 -- Thomas Goirand <thomas@goirand.fr>  Sat, 26 Dec 2009 13:05:37 +0800

yum (3.2.23-1) unstable; urgency=low

  * New upstream release
  * Removed the patch for the Makefile that is now useless (upstream changed
    it).
  * Compat is now 5.

 -- GPLHost yum packaging team <yumpackage@gplhost.com>  Sat, 13 Jun 2009 19:23:21 +0800

yum (3.2.21-2) unstable; urgency=low

  * Moved python-dev, python-support and intltool to Build-Depends-Indep:
  * Added a Homepage: field and a watch file
  * Added mechanismes in debian/rules to preserve po/yum.pot that is created
    each time by the build process (the .diff.gz was big for nothing, this is
    better now).
  * Added a patch so that etc/yum.logrotate uses monthly as logrotate option,
    as we received cron emails from some of our servers in production, warning
    that yearly is not a valid option for logrotate. The cron job for
    logrotate should be more quite now.
  * Now depending on debhelper >= 5.
  * Bumped StandardVersion to 3.8.1.

 -- GPLHost yum packaging team <yumpackage@gplhost.com>  Wed, 01 Apr 2009 11:14:48 +0800

yum (3.2.21-1) unstable; urgency=low

  * Adopting package. Former maintainer retired from Debian recently, and
    co-maintainer expressed he had no further interest in yum in
    http://lists.debian.org/debian-release/2009/02/msg00413.html.
    I (Thomas Goirand) will be co-maintaining this package with my employee
    Manuel Amador: I feel comfortable with Debian packaging, while Manuel is
    a python and RPM system specialist. The maintainer email address of this
    package (signed with my Debian GPG key) forwards to both of us.
  * New upstream release
  * Added Dm-Upload-Allowed: yes field.
  * Forward-ported documentation, sqlite and Makefile patch from last Debian
    package in Lenny, added build-dep dpatch (patches are now separate and not
    generated in the diff.gz which I think is ugly packaging).
  * Removed upstream dependency on python-iniparse and patched to be able to
    work without it as python-iniparse is not in Debian (yet).
  * Removed Debian dependency on python-pyme (which is a mistake of the last
    NMU that thought it was the same as python-gpgme), removed upstream
    dependency on python-gpgme, patched to work without it (Closes: #496137).

