=== debian/control ===
Source: yum
Section: admin
Priority: extra
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders: Mike Miller <mtmiller@ieee.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Build-Depends-Indep: intltool
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yum.git
Vcs-Git: git://anonscm.debian.org/collab-maint/yum.git
Standards-Version: 3.9.4
Homepage: http://yum.baseurl.org/

Package: yum
Architecture: all
Depends: python (>= 2.5) | python-celementtree,
 python-libxml2,
 python-lzma,
 python-rpm,
 python-sqlite,
 python-sqlitecachec,
 python-urlgrabber,
 rpm (>= 4.4.1),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Advanced front-end for rpm
 Yum (Yellow dog Updater, Modified) is an automatic updater and package
 installer/remover for rpm systems. It automatically computes dependencies
 and figures out what things should occur to install packages. It makes it
 easier to maintain groups of machines without having to manually update
 each one using rpm.
 .
 Features include:
 .
     * Multiple Repositories
     * Simple config file
     * Correct dependency calculation
     * Fast operation
     * rpm-consistent behavior
     * comps.xml group support, including multiple repository groups
     * Simple interface
