=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	
	touch configure-stamp

#Architecture 
build-arch: build
build: build-indep
build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	$(MAKE) 
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp

	# Delete po/yum.pot so it doesn't polute the diff.gz
	#rm -f po/yum.pot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	$(MAKE) install DESTDIR=$(CURDIR)/debian/yum

	# Remove all traces of yum-cron and yum-updatesd from the package.
	rm -rf $(CURDIR)/debian/yum/etc/rc.d
	rm -rf $(CURDIR)/debian/yum/etc/yum/yum-updatesd.conf
	rm -rf $(CURDIR)/debian/yum/etc/dbus-1
	rm -rf $(CURDIR)/debian/yum/etc/cron.daily
	rm -rf $(CURDIR)/debian/yum/etc/sysconfig
	rm -f $(CURDIR)/debian/yum/usr/sbin/yum-updatesd
	rm -f $(CURDIR)/debian/yum/usr/share/man/man*/yum-updatesd*
	rm -f $(CURDIR)/debian/yum/usr/share/yum-cli/yumupd.py*
	rmdir $(CURDIR)/debian/yum/usr/sbin
	if [ -d $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages ] ; then \
		mv $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages $(CURDIR)/debian/yum/usr/lib/python2.7/dist-packages ; \
	fi

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_python2 --skip-private
	dh_python2 /usr/share/yum-cli
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
