=== debian/watch ===
version=3
http://yum.baseurl.org/download/(\d\.\d)/yum-([\d\.]*).tar.gz
